Не удается обновить из-за «ненадежных» пакетов? [Дубликат]

На этот вопрос уже есть ответ:

Так что я пытаюсь применить множество обновлений и обновлений через встроенную систему обновлений Ubuntu ... Но он говорит мне, что обновления / обновления не могут быть завершены, потому что это требует установки «ненадежных» пакетов.

По большей части мое программное обеспечение было установлено через Ubuntu Software Center ... Но есть несколько моментов, которые я установил отдельно ...

Дело в том, что даже обновления «базы Ubuntu» (которые, как я понимаю, как и сами Ubuntu) считаются «ненадежными», когда я пытаюсь установить их по отдельности!

У меня был поиграйте в соответствующих настройках, но, что бы я ни нажимал, Ubuntu просто не хочет применять эти обновления / обновления!

Что я делаю не так?

3
задан 15.05.2020, 12:57

1 ответ

При установке пакетов от ppa, это может произойти. Для разблокирования обновлений я предложил бы открыть Software Sources и отменить выбор нескольких из них (временно):

  1. Открывают Ubuntu Software Center,
  2. тогда Редактирование-> Источники программного обеспечения...
  3. Наконец открывают вкладку

"Other Software" После отмены выбора ppa, попробовали еще раз открывать Software Updater для запроса обновления. Это должно быстро дать Вам недоверяемый источник.

, Как указано karel, можно также обновить систему с помощью sudo apt-get update && sudo apt-get upgrade на командной строке. Это предложит Вам, если Вы захотите установить такие пакеты.

5
ответ дан 15.05.2020, 12:58
  • 1
    Да, я использовал команду Terminal, и она зафиксировала все. Я спешил (я пытался сделать что-то еще одновременно), и didn' t потрудились читать, какие package/s вызывали проблему... Ой! – Martin Lottering 15.05.2020, 12:58

Теги

Похожие вопросы